package com.ardraw.ardrawinggallery.room;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity
public class ArData implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;
    private String imagePath;
    private boolean imageType;
    private boolean isFavorite;

    public ArData(String imagePath, boolean imageType, boolean isFavorite) {
        this.imagePath = imagePath;
        this.imageType = imageType;
        this.isFavorite = isFavorite;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public boolean isImageType() {
        return imageType;
    }

    public void setImageType(boolean imageType) {
        this.imageType = imageType;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean favorite) {
        isFavorite = favorite;
    }
}